/*
 * anyRemote
 * a bluetooth remote for your PC.
 * Copyright (C) 2006
 * 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 */

#ifndef _BTIO_H
#define _BTIO_H

int  bt_open_port(char* port);
int  bt_close_port(int final);

int  bt_read(char* buf, int len);
int  bt_read_tmo(char* buf, int len, int timeout);
int  bt_readchar(char* c, int timeout);
int  bt_write(char* buf, int len);
int  bt_put_command(char* command,
		    char* answer,
		    int   max,
		    int   timeout,
		    char* expect);

int  bt_getfd(void);

int closeSocketPort(void);
int openSocketPort(int type, int port); 
int listenAndAcceptSocketConn(); 
int writeSocketConn(char* command, int count); 
int writeBytesSocketConn(char* command);
int readSocketConn(char* buffer, int len);
int sendKeepAlive(void);

// Frontend support
int connectFrontEnd(int portno);
int sendToFrontEnd(char *buf);
int disconnectFrontEnd(void);
int readFromFrontEnd(char *buf, int size);

#endif
